Форум русскоязычного сообщества Ubuntu


Хотите сделать посильный вклад в развитие Ubuntu и русскоязычного сообщества?
Помогите нам с документацией!

Автор Тема: нужен libphonon.so.4  (Прочитано 1886 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн pankov-anton

  • Автор темы
  • Любитель
  • *
  • Сообщений: 72
    • Просмотр профиля
нужен libphonon.so.4
« : 16 Февраль 2010, 00:06:52 »
Дайте пжта файл libphonon.so.4 из /usr/lib/, нигде не могу найти, ни с какими репами не ставится

Оффлайн aliftin

  • Старожил
  • *
  • Сообщений: 1398
    • Просмотр профиля
Re: нужен libphonon.so.4
« Ответ #1 : 16 Февраль 2010, 00:11:36 »
Есть такой файл в пакете    libqt4-phonon-dev. После установки проверьте наличие файла:
ls /usr/lib | grep phonon
Если имя без четверки, то сделайте линк на файл:
cd /usr/lib
sudo ln ./libphonon.so  ./libphonon.so.4
Если мы не можем до чего то дотянуться, мы виним в этом не свой рост, не отсутствие табуретки, а свою цель.

Оффлайн pankov-anton

  • Автор темы
  • Любитель
  • *
  • Сообщений: 72
    • Просмотр профиля
Re: нужен libphonon.so.4
« Ответ #2 : 16 Февраль 2010, 00:18:41 »
Ситуация такая, удалил кде, перестал запускаться амарок и qutIM. Пишет:
amarok: error while loading shared libraries: libphonon.so.4: cannot open shared object file: No such file or directory
Поставил всевозможные пакеты phonon, но ситуация не проясняется. Что можно сделать?

Оффлайн aliftin

  • Старожил
  • *
  • Сообщений: 1398
    • Просмотр профиля
Re: нужен libphonon.so.4
« Ответ #3 : 16 Февраль 2010, 00:36:36 »
Вы точно дочитали мой пост до конца?
Если мы не можем до чего то дотянуться, мы виним в этом не свой рост, не отсутствие табуретки, а свою цель.

Оффлайн pankov-anton

  • Автор темы
  • Любитель
  • *
  • Сообщений: 72
    • Просмотр профиля
Re: нужен libphonon.so.4
« Ответ #4 : 16 Февраль 2010, 00:43:03 »
этот пакет установлен, но файла этого нет и амарок говорит:
amarok: error while loading shared libraries: libphonon.so.4: cannot open shared object file: No such file or directory


Что именно Вы имеете ввиду?

Оффлайн aliftin

  • Старожил
  • *
  • Сообщений: 1398
    • Просмотр профиля
Re: нужен libphonon.so.4
« Ответ #5 : 16 Февраль 2010, 00:48:22 »
aliftin@r2d2:~$ sudo aptitude install  libqt4-phonon-dev
[sudo] password for aliftin:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Reading extended state information     
Initializing package states... Done
The following NEW packages will be installed:
  libqt4-phonon{a} libqt4-phonon-dev
0 packages upgraded, 2 newly installed, 0 to remove and 132 not upgraded.
Need to get 150kB of archives. After unpacking 1,331kB will be used.
Do you want to continue? [Y/n/?] y
Writing extended state information... Done
Get:1 http://ru.archive.ubuntu.com karmic/main libqt4-phonon 4.5.3really4.5.2-0ubuntu1 [92.6kB]
Get:2 http://ru.archive.ubuntu.com karmic/main libqt4-phonon-dev 4.5.3really4.5.2-0ubuntu1 [57.7kB]
Fetched 150kB in 35s (4,190B/s)                                                 
Selecting previously deselected package libqt4-phonon.
(Reading database ... 138360 files and directories currently installed.)
Unpacking libqt4-phonon (from .../libqt4-phonon_4.5.3really4.5.2-0ubuntu1_i386.deb) ...
Selecting previously deselected package libqt4-phonon-dev.
Unpacking libqt4-phonon-dev (from .../libqt4-phonon-dev_4.5.3really4.5.2-0ubuntu1_i386.deb) ...
Setting up libqt4-phonon (4.5.3really4.5.2-0ubuntu1) ...

Setting up libqt4-phonon-dev (4.5.3really4.5.2-0ubuntu1) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Reading package lists... Done             
Building dependency tree       
Reading state information... Done
Reading extended state information     
Initializing package states... Done
Writing extended state information... Done

aliftin@r2d2:~$ ls /usr/lib | grep phonon
libphonon.prl
libphonon.so
libphonon.so.4
libphonon.so.4.3
libphonon.so.4.3.1
Если мы не можем до чего то дотянуться, мы виним в этом не свой рост, не отсутствие табуретки, а свою цель.

Оффлайн pankov-anton

  • Автор темы
  • Любитель
  • *
  • Сообщений: 72
    • Просмотр профиля
Re: нужен libphonon.so.4
« Ответ #6 : 16 Февраль 2010, 00:51:51 »
antony@antony-laptop:~$ ls /usr/lib | grep phonon
libphonon.prl
libphonon.so
libphonon.so.4
Ну а толк какой от этого всего? почему тогда амарок говорит о его отсутствии?

Оффлайн VTimoS

  • Новичок
  • *
  • Сообщений: 9
    • Просмотр профиля
Re: нужен libphonon.so.4
« Ответ #7 : 16 Февраль 2010, 00:54:44 »
Вот, если поможет.....

Оффлайн aliftin

  • Старожил
  • *
  • Сообщений: 1398
    • Просмотр профиля
Re: нужен libphonon.so.4
« Ответ #8 : 16 Февраль 2010, 00:58:36 »
Ну значит копируйте вашу ошибку в google и ищите, мне кажется что это бага. А может и фича.
Если мы не можем до чего то дотянуться, мы виним в этом не свой рост, не отсутствие табуретки, а свою цель.

 

Страница сгенерирована за 0.053 секунд. Запросов: 22.